#include <stdio.h>
#include <stdlib.h>


int main()
{

int a, b;
int res;

scanf("%d%d", &a, &b);

__asm__(
"mov %0, %1\n\t"  /* Prebacujemo vrednost a u odredisni registar */
"add %0, %2\n\t"  /* Dodajemo na odredisni registar vrednost b */
: "=&r"(res)      /* Alociramo registar za rezultat. Ovaj registar
                     mora biti razlicit od svih ulaznih registara.
                     To se specificira znakom & */
: "r"(a), "r"(b)  /* Alociramo dva nova registra za ulazne podatke */
);

printf("%d\n", res);

return EXIT_SUCCESS;
}
